<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<% tabs = [
  {
    name: 'WorkPackage',
    partial: 'attribute_help_texts/tab',
    path: attribute_help_texts_path(tab: 'WorkPackage'),
    label: :label_work_package
  },
  {
    name: 'Project',
    partial: 'attribute_help_texts/tab',
    path: attribute_help_texts_path(tab: 'Project'),
    label: Project.model_name.human
  }
] %>


<%= toolbar title: t(:'attribute_help_texts.label_plural') do %>
  <li class="toolbar-item">
    <%= link_to new_attribute_help_text_path(name: selected_tab(tabs)[:name]),
                { class: 'attribute-help-texts--create-button button -primary',
                  aria: {label: t(:'attribute_help_texts.add_new')},
                  title: t(:'attribute_help_texts.add_new')} do %>
      <%= op_icon('button--icon icon-add') %>
      <span class="button--text"><%= t('activerecord.models.attribute_help_text') %></span>
    <% end %>
  </li>
<% end %>

<%= render_tabs tabs %>
